API reference
Reference for the Cedar.AI API
Retrieves a list of customers for the specified carrier.
cURL
basic
curl --request POST \ --url https://api-lg.arms.cedarai.com/ims/customers \ --header 'Content-Type: application/json' \ --header 'x-arms-api-key: <api-key>' \ --header 'x-arms-assume-user: <api-key>' \ --data ' { "carrierId": 1234 } '
{ "customers": [ { "resourceId": 123, "uuid": "<string>", "name": "<string>", "carrierId": 123, "carrier": { "resourceType": "Carrier", "resourceId": 123, "uuid": "<string>", "carrierCode": "<string>", "name": "<string>" }, "blockCodePrefix": "<string>", "locations": [ { "resourceId": 123, "uuid": "<string>", "name": "<string>", "blockCode": "<string>", "customerBlock": { "resourceType": "Grouping", "resourceId": 123, "uuid": "<string>", "name": "<string>", "groupingType": "<string>", "sortOrder": 123, "colorToken": "<string>" }, "customer": { "resourceType": "Customer", "resourceId": 123, "uuid": "<string>", "name": "<string>" }, "carrier": { "resourceType": "Carrier", "resourceId": 123, "uuid": "<string>", "carrierCode": "<string>", "name": "<string>" }, "groupings": [ { "resourceType": "Grouping", "resourceId": 123, "uuid": "<string>", "name": "<string>", "groupingType": "<string>", "sortOrder": 123, "colorToken": "<string>" } ], "abbreviatedName": "<string>", "currencyCode": "<string>" } ], "scac": "<string>", "printedName": "<string>" } ], "contract": { "effect": "overwrite", "resourceType": "Customer" } }
Your ARMS API key
Email of a user assigned to the appropriate user group
Carrier identifier; required for all endpoints
Optional user group context
Carrier identifier. May also be supplied via query parameter.
Optional filter by specific customer IDs
Optional filter by specific customer UUIDs
Whether to include shipper customers
OK
Show child attributes
Was this page helpful?